List voters of a feature request
curl --request GET \
--url https://{your-subdomain}.neetoengage.com/api/external/v1/feature_requests/{id}/voters \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoengage.com/api/external/v1/feature_requests/{id}/voters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoengage.com/api/external/v1/feature_requests/{id}/voters"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"voters": [
{
"name": "Sam Smith",
"email": "sam@example.com",
"voted_at": "2026-03-04T09:00:00Z"
},
{
"name": "Oliver Smith",
"email": "oliver@example.com",
"voted_at": "2026-03-02T10:15:30Z"
}
],
"page": 1,
"page_size": 25,
"total_count": 2,
"total_pages": 1
}{
"error": "Could not authenticate, invalid API Key"
}{
"error": "FeatureRequest does not exist."
}Feature requests
List voters of a feature request
Lists the customers who voted for a feature request, newest vote first.
GET
/
feature_requests
/
{id}
/
voters
List voters of a feature request
curl --request GET \
--url https://{your-subdomain}.neetoengage.com/api/external/v1/feature_requests/{id}/voters \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoengage.com/api/external/v1/feature_requests/{id}/voters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoengage.com/api/external/v1/feature_requests/{id}/voters"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"voters": [
{
"name": "Sam Smith",
"email": "sam@example.com",
"voted_at": "2026-03-04T09:00:00Z"
},
{
"name": "Oliver Smith",
"email": "oliver@example.com",
"voted_at": "2026-03-02T10:15:30Z"
}
],
"page": 1,
"page_size": 25,
"total_count": 2,
"total_pages": 1
}{
"error": "Could not authenticate, invalid API Key"
}{
"error": "FeatureRequest does not exist."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
API key. Refer to Authentication for more information.
Must be application/json.
Available options:
application/json Path Parameters
The feature request's id (UUID) or its slug. The slug is the last segment of the feature request's admin URL, for example 120-export-roadmap-as-csv. Both are accepted.
Query Parameters
Page of results to retrieve, starting from 1. Defaults to 1 when omitted.
Required range:
x >= 1Number of results per page. Defaults to 25 and is capped at 100.
Required range:
1 <= x <= 100Response
Voters of the feature request.
Current page number.
Example:
1
Number of records per page.
Example:
25
Total number of records across all pages.
Example:
2
Total number of pages. At least 1, even when there are no records.
Example:
1